1. Packages
  2. Packages
  3. Vantage Provider
  4. API Docs
  5. getIntegrationByName
Viewing docs for vantage 0.3.7
published on Thursday, May 14, 2026 by vantage-sh
Viewing docs for vantage 0.3.7
published on Thursday, May 14, 2026 by vantage-sh

    Looks up an integration by its display name. Searches up to 1,000 integrations returned by the Get All Integrations endpoint and returns the first match.

    Use provider_filter to restrict the search to a specific integration type, which can improve performance when you have many integrations.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as vantage from "@pulumi/vantage";
    
    // Look up by name only
    const example = vantage.getIntegrationByName({
        name: "My Custom Provider",
    });
    // Look up by name, restricted to custom_provider integrations
    const filtered = vantage.getIntegrationByName({
        name: "My Custom Provider",
        providerFilter: "custom_provider",
    });
    export const token = example.then(example => example.token);
    
    import pulumi
    import pulumi_vantage as vantage
    
    # Look up by name only
    example = vantage.get_integration_by_name(name="My Custom Provider")
    # Look up by name, restricted to custom_provider integrations
    filtered = vantage.get_integration_by_name(name="My Custom Provider",
        provider_filter="custom_provider")
    pulumi.export("token", example.token)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-terraform-provider/sdks/go/vantage/vantage"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		// Look up by name only
    		example, err := vantage.GetIntegrationByName(ctx, &vantage.GetIntegrationByNameArgs{
    			Name: "My Custom Provider",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// Look up by name, restricted to custom_provider integrations
    		_, err = vantage.GetIntegrationByName(ctx, &vantage.GetIntegrationByNameArgs{
    			Name:           "My Custom Provider",
    			ProviderFilter: pulumi.StringRef("custom_provider"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		ctx.Export("token", example.Token)
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Vantage = Pulumi.Vantage;
    
    return await Deployment.RunAsync(() => 
    {
        // Look up by name only
        var example = Vantage.GetIntegrationByName.Invoke(new()
        {
            Name = "My Custom Provider",
        });
    
        // Look up by name, restricted to custom_provider integrations
        var filtered = Vantage.GetIntegrationByName.Invoke(new()
        {
            Name = "My Custom Provider",
            ProviderFilter = "custom_provider",
        });
    
        return new Dictionary<string, object?>
        {
            ["token"] = example.Apply(getIntegrationByNameResult => getIntegrationByNameResult.Token),
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.vantage.VantageFunctions;
    import com.pulumi.vantage.inputs.GetIntegrationByNameArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            // Look up by name only
            final var example = VantageFunctions.getIntegrationByName(GetIntegrationByNameArgs.builder()
                .name("My Custom Provider")
                .build());
    
            // Look up by name, restricted to custom_provider integrations
            final var filtered = VantageFunctions.getIntegrationByName(GetIntegrationByNameArgs.builder()
                .name("My Custom Provider")
                .providerFilter("custom_provider")
                .build());
    
            ctx.export("token", example.token());
        }
    }
    
    variables:
      # Look up by name only
      example:
        fn::invoke:
          function: vantage:getIntegrationByName
          arguments:
            name: My Custom Provider
      # Look up by name, restricted to custom_provider integrations
      filtered:
        fn::invoke:
          function: vantage:getIntegrationByName
          arguments:
            name: My Custom Provider
            providerFilter: custom_provider
    outputs:
      token: ${example.token}
    
    Example coming soon!
    

    Using getIntegrationByName

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getIntegrationByName(args: GetIntegrationByNameArgs, opts?: InvokeOptions): Promise<GetIntegrationByNameResult>
    function getIntegrationByNameOutput(args: GetIntegrationByNameOutputArgs, opts?: InvokeOptions): Output<GetIntegrationByNameResult>
    def get_integration_by_name(name: Optional[str] = None,
                                provider_filter: Optional[str] = None,
                                opts: Optional[InvokeOptions] = None) -> GetIntegrationByNameResult
    def get_integration_by_name_output(name: pulumi.Input[Optional[str]] = None,
                                provider_filter: pulumi.Input[Optional[str]] = None,
                                opts: Optional[InvokeOptions] = None) -> Output[GetIntegrationByNameResult]
    func GetIntegrationByName(ctx *Context, args *GetIntegrationByNameArgs, opts ...InvokeOption) (*GetIntegrationByNameResult, error)
    func GetIntegrationByNameOutput(ctx *Context, args *GetIntegrationByNameOutputArgs, opts ...InvokeOption) GetIntegrationByNameResultOutput

    > Note: This function is named GetIntegrationByName in the Go SDK.

    public static class GetIntegrationByName 
    {
        public static Task<GetIntegrationByNameResult> InvokeAsync(GetIntegrationByNameArgs args, InvokeOptions? opts = null)
        public static Output<GetIntegrationByNameResult> Invoke(GetIntegrationByNameInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetIntegrationByNameResult> getIntegrationByName(GetIntegrationByNameArgs args, InvokeOptions options)
    public static Output<GetIntegrationByNameResult> getIntegrationByName(GetIntegrationByNameArgs args, InvokeOptions options)
    
    fn::invoke:
      function: vantage:index/getIntegrationByName:getIntegrationByName
      arguments:
        # arguments dictionary
    data "vantage_getintegrationbyname" "name" {
        # arguments
    }

    The following arguments are supported:

    Name string
    The display name of the integration to find.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    Name string
    The display name of the integration to find.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    name string
    The display name of the integration to find.
    provider_filter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    name String
    The display name of the integration to find.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    name string
    The display name of the integration to find.
    providerFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    name str
    The display name of the integration to find.
    provider_filter str
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    name String
    The display name of the integration to find.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.

    getIntegrationByName Result

    The following output properties are available:

    CreatedAt string
    The date and time (UTC, ISO 8601) when the integration was created.
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdated string
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    ManagedAccountTokens List<string>
    The tokens of any Managed Accounts associated with this integration.
    Name string
    The display name of the integration to find.
    Status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    Token string
    The unique token of the matched integration.
    WorkspaceTokens List<string>
    The tokens of the Workspaces associated with this integration.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    CreatedAt string
    The date and time (UTC, ISO 8601) when the integration was created.
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdated string
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    ManagedAccountTokens []string
    The tokens of any Managed Accounts associated with this integration.
    Name string
    The display name of the integration to find.
    Status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    Token string
    The unique token of the matched integration.
    WorkspaceTokens []string
    The tokens of the Workspaces associated with this integration.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    created_at string
    The date and time (UTC, ISO 8601) when the integration was created.
    id string
    The provider-assigned unique ID for this managed resource.
    last_updated string
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    managed_account_tokens list(string)
    The tokens of any Managed Accounts associated with this integration.
    name string
    The display name of the integration to find.
    status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token string
    The unique token of the matched integration.
    workspace_tokens list(string)
    The tokens of the Workspaces associated with this integration.
    provider_filter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    createdAt String
    The date and time (UTC, ISO 8601) when the integration was created.
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdated String
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    managedAccountTokens List<String>
    The tokens of any Managed Accounts associated with this integration.
    name String
    The display name of the integration to find.
    status String
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token String
    The unique token of the matched integration.
    workspaceTokens List<String>
    The tokens of the Workspaces associated with this integration.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    createdAt string
    The date and time (UTC, ISO 8601) when the integration was created.
    id string
    The provider-assigned unique ID for this managed resource.
    lastUpdated string
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    managedAccountTokens string[]
    The tokens of any Managed Accounts associated with this integration.
    name string
    The display name of the integration to find.
    status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token string
    The unique token of the matched integration.
    workspaceTokens string[]
    The tokens of the Workspaces associated with this integration.
    providerFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    created_at str
    The date and time (UTC, ISO 8601) when the integration was created.
    id str
    The provider-assigned unique ID for this managed resource.
    last_updated str
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    managed_account_tokens Sequence[str]
    The tokens of any Managed Accounts associated with this integration.
    name str
    The display name of the integration to find.
    status str
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token str
    The unique token of the matched integration.
    workspace_tokens Sequence[str]
    The tokens of the Workspaces associated with this integration.
    provider_filter str
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.
    createdAt String
    The date and time (UTC, ISO 8601) when the integration was created.
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdated String
    The date and time (UTC, ISO 8601) when the integration was last updated. Null if never updated.
    managedAccountTokens List<String>
    The tokens of any Managed Accounts associated with this integration.
    name String
    The display name of the integration to find.
    status String
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token String
    The unique token of the matched integration.
    workspaceTokens List<String>
    The tokens of the Workspaces associated with this integration.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations API endpoint.

    Package Details

    Repository
    vantage vantage-sh/terraform-provider-vantage
    License
    Notes
    This Pulumi package is based on the vantage Terraform Provider.
    Viewing docs for vantage 0.3.7
    published on Thursday, May 14, 2026 by vantage-sh
      Try Pulumi Cloud free. Your team will thank you.